Is MoCa 2.5 backwards compatible to MoCa 2.0, 1.1 or 1.0?

Yes, it is backwards compatible to MoCA  2.0 & 1.1.

Was this article helpful?
0 out of 0 found this helpful

Comments

0 comments

Please sign in to leave a comment.